import { PresenceActivity } from './PresenceActivity';
import { PresenceMood } from './PresenceMood';
import { UserRole } from './UserRole';
/**
 * Represents a user. Look at {@link UserRepository} documentation to find the available ways
 * to obtain objects adhering to this interface
 */
export interface User {
    readonly id: string;
    readonly domain: string;
    readonly username: string;
    readonly role: UserRole;
    readonly online: boolean;
    readonly activity: PresenceActivity;
    readonly mood: PresenceMood;
    readonly note: string;
    readonly avatar: string;
    readonly displayName: string;
}
