import EventEmitter from 'eventemitter3';
declare type Action = () => Promise<void>;
interface IntervalEvents {
    error: [Error];
}
export declare class EventInterval {
    emitter: EventEmitter<IntervalEvents, any>;
    private handler?;
    private action;
    private interval;
    constructor(action: Action, interval: number);
    run(): void;
    stop(): void;
}
export {};
