import { PresenceDto } from './types';
export declare class PresenceDtoBuilder {
    private id;
    private address;
    private username;
    private domain;
    private online;
    private activity;
    private mood;
    private note;
    private avatarUrl;
    private displayName;
    private role;
    static of(address: string): PresenceDtoBuilder;
    static fromDto(data: PresenceDto): PresenceDtoBuilder;
    private constructor();
    withUsername(username: string): PresenceDtoBuilder;
    withDomain(domain: string): PresenceDtoBuilder;
    build(): PresenceDto;
}
