export declare enum RecordingType {
    ALL = "all",
    AUDIO = "audio",
    VIDEO = "video",
    NONE = "none"
}
export declare enum RecordingProfile {
    ALWAYS = "always",
    SKIP = "skip",
    OPTIONAL = "optional"
}
export interface ServerPermissions {
    recording: {
        recordingType: RecordingType;
        recordingProfile: RecordingProfile;
    };
    voicemail: {
        enabled: boolean;
    };
}
